Skip to main content
GET
Offers Consumer Listing

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

application_channel
enum<string>

Offer availability: ONLINE if the offer is online only. OFFLINE if the offer is offline only. BOTH if the offer is online and offline

Available options:
BOTH,
ONLINE,
OFFLINE
brand__name
string

Filter by brand__name

Name of the brand

brand_id
string<uuid>

Filter by brand_id

cashback_rate
number

Filter by cashback_rate

Rate of reward used to calculate cashback amount

created_at
string

Filter by created_at

Filtering on date of creation between -- after -- before --

end_date
string

Filter by end_date

Filtering on end date between -- after -- before --

highlight_level
enum<string>

Enum in: HIGHEST, HIGH, NORMAL. For a contextual display (banner, carousel etc...), this value is set by the program manager on each offer

Available options:
HIGHEST,
HIGH,
NORMAL
name
string

Filter by name

Name of the object

page
integer

the page number

Required range: x >= 1
per_page
integer

the number of elements per page

Required range: 1 <= x <= 100
publication_date
string

Filter by publication_date

Filtering on publication date between -- after -- before --

reference
string

Filter by reference

Unique reference of the offer. Human readable, made out from the concatenation of the brand name + creation date + increment.

sort
enum<string>

Sort by given attribute

Available options:
created_at,
start_date,
end_date,
publication_date,
name,
reference,
type,
application_channel,
brand__name,
brand_id,
highlight_level,
status,
source_transaction,
cashback_rate,
universe,
-created_at,
-start_date,
-end_date,
-publication_date,
-name,
-reference,
-type,
-application_channel,
-brand__name,
-brand_id,
-highlight_level,
-status,
-source_transaction,
-cashback_rate,
-universe
source_transaction
boolean

Filter by source_transaction

If this flag is true, the transaction must come from the default bank of the program to generate a reward

start_date
string

Filter by start_date

Filtering on start date between -- after -- before --

status
string

Filter by status

type
enum<string>

Filter by type

Available options:
CASHBACK,
UNIQUE_COUPON,
GENERIC_COUPON
universe
string<uuid>

Filter by universe

Universe of the brand

Response

OK

items
object[]
meta
object